<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_c06c961f3937" . "42ecfd52b7226" . "3ac9470" => base64_decode("aW50dm" . "Fs"), "_a11bd5fe4a6175754726d" . "934efa5c55d" => base64_decode("U3RhcnQgYXQ6" . "IA=="));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a11bd5fe4a" . "6175754726d" . "934efa5c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c06c961f3937" . "42ecfd52b7226" . "3ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}